//
//  AppDelegate.m
//  KGFacebookDemo
//
//  Created by Ernesto Carrión on 1/26/12.
//  Copyright (c) 2012 Kogi Mobile. All rights reserved.
//

#import "AppDelegate.h"
#import "KGFacebookManager.h"
#import "ViewController.h"

@implementation AppDelegate

@synthesize window = _window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {

    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    
    ViewController * controller = [[ViewController alloc] init];
    [self.window setRootViewController:controller];
    [self.window makeKeyAndVisible];
    
    return YES;
}
							
//IOS 4.1-
-(BOOL)application:(UIApplication *)application handleOpenURL:(NSURL *)url {
    
    return [[[KGFacebookManager sharedFacebookManager] facebook_] handleOpenURL:url];
}

//IOS 4.2+ 
-(BOOL)application:(UIApplication *)application openURL:(NSURL *)url sourceApplication:(NSString *)sourceApplication annotation:(id)annotation {
 
    return [[[KGFacebookManager sharedFacebookManager] facebook_] handleOpenURL:url];
}

@end
